Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request.components.editor.views
Class AbstractEditorView

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.request.components.editor.views.AbstractEditorView

All Implemented Interfaces:
  XmlEditorView, XmlLocationListener, PropertyChangeNotifier, java.beans.PropertyChangeListener, java.util.EventListener

Direct Known Subclasses:
  XmlSourceEditorView

    public abstract class AbstractEditorView

extends java.lang.Object
implements XmlEditorView, java.beans.PropertyChangeListener

Abstract base-class to be extended by XmlViews

Author:
  ole.matzura

Field Summary

Fields inherited from interface com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlEditorView
`TITLE_PROPERTY`

Constructor Summary
`AbstractEditorView(java.lang.String title, XmlEditor xmlEditor)`

Method Summary
`boolean` | `activate(XmlLocation location)`
`void` | `addLocationListener(XmlLocationListener listener)`
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `addPropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`
`boolean` | `deactivate()`
`void` | `fireLocationChanged(XmlLocation location)`
`XmlEditor` | `getEditor()`
`XmlLocation` | `getLocation()`
`protected java.beans.PropertyChangeSupport` | `getPropertyChangeSupport()`
`java.lang.String` | `getTitle()`
`XmlDocument` | `getXmlDocument()`
`boolean` | `isActive()`
`boolean` | `isXmlChanged()`
`void` | `locationChanged(XmlLocation location)`
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)`
`void` | `release()`
`void` | `removeLocationListener(XmlLocationListener listener)`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(java.lang.String propertyName, java.beans.PropertyChangeListener listener)`
`void` | `requestFocus()`
`void` | `setLocation(XmlLocation location)`
`void` | `setTitle(java.lang.String title)`
`abstract void` | `setXml(java.lang.String xml)`
`void` | `setXmlDocument(XmlDocument xmlDocument)`
`void` | `syncUpdates()`
`void` | `update()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlEditorView
`getComponent, getViewId, isInspectable, saveDocument, setEditable`

Constructor Detail

### AbstractEditorView

    public AbstractEditorView(java.lang.String title,
                              XmlEditor xmlEditor)

Method Detail

### getPropertyChangeSupport

    protected java.beans.PropertyChangeSupport getPropertyChangeSupport()

### activate

    public boolean activate(XmlLocation location)

  Specified by:
    `activate` in interface `XmlEditorView`

### update

    public void update()

### isXmlChanged

    public boolean isXmlChanged()

### deactivate

    public boolean deactivate()

  Specified by:
    `deactivate` in interface `XmlEditorView`

### isActive

    public boolean isActive()

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `XmlEditorView`

### setTitle

    public void setTitle(java.lang.String title)

### addPropertyChangeListener

    public void addPropertyChangeListener(java.lang.String propertyName,
                                          java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `PropertyChangeNotifier`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `addPropertyChangeListener` in interface `PropertyChangeNotifier`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `PropertyChangeNotifier`

### removePropertyChangeListener

    public void removePropertyChangeListener(java.lang.String propertyName,
                                             java.beans.PropertyChangeListener listener)

  Specified by:
    `removePropertyChangeListener` in interface `PropertyChangeNotifier`

### getXmlDocument

    public XmlDocument getXmlDocument()

  Specified by:
    `getXmlDocument` in interface `XmlEditorView`

### setXmlDocument

    public void setXmlDocument(XmlDocument xmlDocument)

  Specified by:
    `setXmlDocument` in interface `XmlEditorView`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### setXml

    public abstract void setXml(java.lang.String xml)

### release

    public void release()

  Specified by:
    `release` in interface `XmlEditorView`

### addLocationListener

    public void addLocationListener(XmlLocationListener listener)

  Specified by:
    `addLocationListener` in interface `XmlEditorView`

### removeLocationListener

    public void removeLocationListener(XmlLocationListener listener)

  Specified by:
    `removeLocationListener` in interface `XmlEditorView`

### fireLocationChanged

    public void fireLocationChanged(XmlLocation location)

### getLocation

    public XmlLocation getLocation()

  Specified by:
    `getLocation` in interface `XmlEditorView`

### setLocation

    public void setLocation(XmlLocation location)

  Specified by:
    `setLocation` in interface `XmlEditorView`

### locationChanged

    public void locationChanged(XmlLocation location)

  Specified by:
    `locationChanged` in interface `XmlLocationListener`

### syncUpdates

    public void syncUpdates()

### getEditor

    public XmlEditor getEditor()

  Specified by:
    `getEditor` in interface `XmlEditorView`

### requestFocus

    public void requestFocus()

  Specified by:
    `requestFocus` in interface `XmlEditorView`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.